## ros-eloquent-vision-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vision_msgs)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  msg/BoundingBox2D.msg
  msg/BoundingBox3D.msg
  msg/Classification2D.msg
  msg/Classification3D.msg
  msg/Detection2DArray.msg
  msg/Detection2D.msg
  msg/Detection3DArray.msg
  msg/Detection3D.msg
  msg/ObjectHypothesis.msg
  msg/ObjectHypothesisWithPose.msg
  msg/VisionInfo.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES std_msgs geometry_msgs sensor_msgs
  ADD_LINTER_TESTS)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(vision_msgs_test test/main.cpp)
  add_dependencies(vision_msgs_test ${PROJECT_NAME})
  ament_target_dependencies(vision_msgs_test
    geometry_msgs
    std_msgs
    sensor_msgs
  )
  # TODO(sloretz) rosidl_generate_interfaces() should make using generated messages in same project simpler
  target_include_directories(vision_msgs_test PUBLIC
    include
    ${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_cpp
  )
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-eloquent-vision-msgs (2.0.0-2bionic) bionic; urgency=high

  * Fix lint error for draconian header guard rule
  * Rename create_aabb to use C++ extension
    This fixes linting errors which assume that .h means that a file
    is C (rather than C++).
  * Add CONTRIBUTING.md
  * Fix various linting issues
  * Add gitignore
    Sync ros2 with master
  * Update test for ros2
  * add BoundingBox3DArray message (#30 <https://github.com/Kukanani/vision_msgs/issues/30>)
    * add BoundingBoxArray message
  * Make msg gen package deps more specific (#24 <https://github.com/Kukanani/vision_msgs/issues/24>)
    Make message_generation and message_runtime use more specific depend tags
  * Merge branch 'kinetic-devel'
  * Removed "proposal" from readme (#23 <https://github.com/Kukanani/vision_msgs/issues/23>)
  * add tracking ID to the Detection Message (#19 <https://github.com/Kukanani/vision_msgs/issues/19>)
    * add tracking ID to the Detection
    * modify comments
    * Change UUID messages to strings
    * Improve comment for tracking_id and fix whitespace
  * Convert id to string (#22 <https://github.com/Kukanani/vision_msgs/issues/22>)
  * Specify that id is explicitly for object class
  * Fix dependency of unit test. (#14 <https://github.com/Kukanani/vision_msgs/issues/14>)
  * 0.0.1
  * Pre-release commit - setting up versioning and changelog
  * Rolled BoundingRect into BoundingBox2D
    Added helper functions to make it easier to go from corner-size representation to
    center-size representation, plus associated tests.
  * Added license
  * Small fixes in message comments (#10 <https://github.com/Kukanani/vision_msgs/issues/10>)
  * Contributors: Adam Allevato, Leroy Rügemer, Martin Günther, Masaya Kataoka, Ronald Ensing, Shane Loretz, mistermult
  * Switched to ROS2 for package definition files, create_aabb, etc.
  * [ros2] use package format 3 (#12 <https://github.com/Kukanani/vision_msgs/issues/12>)
  * Contributors: Adam Allevato, Martin Günther, Mikael Arguedas, procopiostein

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-vision-msgs
Section: misc
Priority: optional
Maintainer: Adam Allevato <adam.d.allevato@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-geometry-msgs, ros-eloquent-rosidl-default-generators, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, ros-eloquent-rosidl-typesupport-fastrtps-c, ros-eloquent-rosidl-typesupport-fastrtps-cpp, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-vision-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-rosidl-default-runtime, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: Messages for interfacing with various computer vision pipelines, such as object detectors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-vision-msgs//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
